#include<lpc213x.h>
void main()
{
PINSEL0=1<<3;
IO0DIR=~0;
IO1DIR=0X00000000;
PWMMR0=1;
PWMTCR=2;
PWMTCR=1|1<<3;
PWMPCR=1<<11;
PWMPR=14900; 
PWMMCR=1<<1;	
PWMTC=0;	   
PWMPC=0;

	while(1)
	{
	if((IO1PIN&0X00010000)==0X00010000){
	PWMMR0=840;
	PWMMR3=630;		   //75
	PWMLER=1|1<<3;
		}
	else if((IO1PIN&0X00020000)==0X00020000){
	PWMMR0=840;
	PWMMR3=420;	   //50
	PWMLER=1|1<<3;
	}
	else if((IO1PIN&0X00040000)==0X00040000){
	PWMMR0=840;
	PWMMR3=212;	 //25
	PWMLER=1|1<<3;
	}
	}
}